# Get account cards on file Get all cards on file for a specific account, which is derived from the access token. **Note**: This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Cards on file", "version": "2.0.0", "description": "Tokenize cards and manage digital wallets", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" }, { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "Cards on file", "description": "Cards on file management" } ], "components": { "parameters": { "authPath": { "name": "Authorization", "in": "header", "schema": { "type": "string" }, "required": true, "description": "Account access token. An account token is embedded with an account ID. Tokens can expire quickly, which can result in an Unauthorized message.\n" }, "cardStatusQuery": { "name": "status", "in": "query", "schema": { "type": "string" }, "description": "Card status - `ACTIVE`, `SUSPENDED` or `PENDING`. To filter more than one status, separate with a comma (,)\n", "required": false }, "cardTypeQuery": { "name": "type", "in": "query", "schema": { "type": "string" }, "description": "Card type - `PLASTIC`, `VIRTUAL`, `TEMPORARY` or `RECURRING`. To filter more than one type, separate with a comma (,)\n", "required": false } }, "schemas": { "CardExpirationDate": { "type": "string", "description": "Card expiration date (mmyy)", "example": "1214" }, "CardName": { "type": "string", "description": "Card alias name. No limit.", "example": "Vacation card" }, "CardsOnFileErrorResponse": { "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" } } }, "CardsOnFileGetResponseModel": { "type": "object", "properties": { "card_name": { "$ref": "#/components/schemas/CardName" }, "card_profile": { "$ref": "#/components/schemas/CardProfile" }, "card_status": { "$ref": "#/components/schemas/CardStatus" }, "pismo_card_id": { "$ref": "#/components/schemas/PismoCardID" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "creation_date": { "$ref": "#/components/schemas/CreationDate" }, "default_card": { "$ref": "#/components/schemas/DefaultCard" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "expiration_date": { "$ref": "#/components/schemas/CardExpirationDate" }, "issuer_card": { "$ref": "#/components/schemas/IssuerCard" }, "last_4_digits": { "$ref": "#/components/schemas/Last4Digits" }, "network": { "$ref": "#/components/schemas/Network" }, "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "uuid": { "$ref": "#/components/schemas/Uuid" }, "verified": { "$ref": "#/components/schemas/Verified" }, "metadata": { "$ref": "#/components/schemas/Metadata" } }, "example": { "card_name": "Vacation card", "card_profile": "0XFF00FF", "card_status": "ACTIVE", "pismo_card_id": 12376, "custom_id": 123456, "program_id": 1234567, "creation_date": "2018-11-05T19:21:42.000Z", "default_card": true, "document_number": "41440022209", "expiration_date": "1224", "issuer_card": true, "last_4_digits": "2347", "first_6_digits": "", "network": "VISA", "printed_name": "Jenna Flect", "uuid": "77cdd87e-b9b6-11ec-b4f5-4a7a44f81261", "verified": true, "metadata": "{any_key: any_value}" } }, "CardProfile": { "type": "string", "description": "Network card profile identifier or HEX color. A profile or HEX color determines a card's appearance in a mobile payment app or payment system. Issuers are responsible for configuring card profiles with the card network.\n", "example": "0XFFFFFF" }, "CardStatus": { "type": "string", "description": "Card status", "enum": [ "ACTIVE", "SUSPENDED", "PENDING" ], "example": "ACTIVE" }, "CreationDate": { "type": "string", "description": "Creation date in RFC3339 format.", "example": "2018-11-05T19:21:42.000Z" }, "CustomerID": { "type": "integer", "description": "Pismo customer ID.", "example": 5648988 }, "DefaultCard": { "type": "boolean", "description": "Default card flag. Default is `false`.", "example": true }, "DocumentNumber": { "type": "string", "description": "Cardholder government document number. This can be from any document that identifies the cardholder such as a Tax ID, State ID, or driver's license.\n", "example": "7777888hh" }, "IssuerCard": { "type": "boolean", "description": "Is this the issuer's card flag. Default is `false`.", "example": false }, "Last4Digits": { "type": "string", "description": "Last 4 PAN digits", "example": "5684" }, "Metadata": { "type": "string", "description": "Any data object with key/value pairs. No limit on length.", "example": "{ \"key\": \"value\"}" }, "Network": { "type": "string", "description": "Card network that provisioned card", "enum": [ "AMEX", "MASTERCARD", "VISA", "UNKNOWN" ], "example": "VISA" }, "PismoCardID": { "type": "integer", "description": "Pismo card ID", "example": 674593 }, "PrintedName": { "type": "string", "description": "Printed name on physical card", "example": "Sarah Toga" }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 5674 }, "Uuid": { "type": "string", "description": "API-generated card UUID token" }, "Verified": { "type": "boolean", "description": "Is card verified flag. Default is `false`.", "example": false } }, "responses": { "400BadRequest": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardsOnFileErrorResponse" } } } }, "500InternalServer": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardsOnFileErrorResponse" } } } } } }, "paths": { "/cardsonfile/v2/cardsonfile/cards": { "get": { "summary": "Get account cards on file", "description": "Get all cards on file for a specific account, which is derived from the access token.\n\n**Note**: This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "operationId": "list-all-cardsonfile-registries", "tags": [ "Cards on file" ], "parameters": [ { "$ref": "#/components/parameters/authPath" }, { "$ref": "#/components/parameters/cardStatusQuery" }, { "$ref": "#/components/parameters/cardTypeQuery" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/CardsOnFileGetResponseModel" } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```